<!--begin::Portlet-->
<div id="attributes-portlet" class="m-portlet" xmlns="http://www.w3.org/1999/html">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Edit Warehouse Information
                </h3>
            </div>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <div class="col-lg-6">
                    <label>Name:</label>
                    <ValidationProvider rules="required" v-slot="{ errors }" name="warehouse name" ref="name">
                        <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter warehouse name" v-model="baseInfo.name">
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter warehouse name</span>
                    </ValidationProvider>
                </div>
                <div class="col-lg-6">
                    <label class="">Description:</label>
                    <ValidationProvider rules="" v-slot="{ errors }" name="warehouse description" ref="description">
                        <textarea class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" v-model="baseInfo.description"></textarea>
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter warehouse description</span>
                    </ValidationProvider>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <div class="col-lg-6">
                    <label>Address:</label>
                    <ValidationProvider rules="required" v-slot="{ errors }" name="warehouse address" ref="address">
                        <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter warehouse name" v-model="baseInfo.address">
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please select warehouse address</span>
                    </ValidationProvider>
                </div>
                <div class="col-lg-6">
                    <label>Public:</label>
                    <br>
                    <ValidationProvider :rules="{ required: { allowFalse: false } }" v-slot="{ errors }" name="public" ref="public">
                        <span class="m-switch m-switch--lg m-switch--icon">
                            <label>
                                <input type="checkbox"
                                       true-value="1"
                                       false-value="0"
                                       checked="checked"
                                       v-model="baseInfo.public">
                                <span></span>
                            </label>
                        </span>
                        <br>
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please select warehouse state</span>
                    </ValidationProvider>
                </div>
            </div>
        </div>
    </form>
</div>